Name: sfepy
Version: 2009.3
Release: alt1.git20090902
Summary: Simple finite elements in Python (SfePy)
License: New BSD License
Group: Sciences/Mathematics
Url: http://sfepy.kme.zcu.cz/
Packager: Eugeny A. Rostovtsev (REAL) <real at altlinux.org>

# git://git.sympy.org/sfepy.git
Source: %name-%version.tar.gz
Source1: README.1st

Requires: python-module-%name = %version-%release
Requires: %name-data = %version-%release

BuildRequires(pre): rpm-build-python
BuildPreReq: python-devel swig python-module-scikits libsuitesparse-devel
BuildPreReq: python-module-pyparsing ipython pytables 
BuildPreReq: libtetgen-devel libnetgen-devel
BuildPreReq: doxygen graphviz tetex-latex tetex-latex-listings
BuildPreReq: tetex-latex-unicode

%description
A finite element analysis software based primarily on NumPy and SciPy.

NOTE: for executing examples You need copy directory %_datadir/%name
into place, where You can write into it.

%package -n python-module-%name
Summary: Python module of Simple finite elements (SfePy)
Group: Development/Python
%setup_python_module %name
Requires: tetgen gmsh netgen
%py_requires matplotlib.backends.backend_gtkagg
%py_requires matplotlib.backends.backend_wxagg
%py_requires pyparsing scikits.umfpack tables IPython
%if "%__python_version" != "2.5"
%py_requires multiprocessing
%endif

%description -n python-module-%name
A finite element analysis software based primarily on NumPy and SciPy.

This package contains python module of SfePy.

%package data
Summary: Data files for Simple finite elements in Python (SfePy)
Group: Sciences/Mathematics
BuildArch: noarch

%description data
A finite element analysis software based primarily on NumPy and SciPy.

This package contains data files for SfePy.

%package doc
Summary: Documentation for Simple finite elements in Python (SfePy)
Group: Documentation
BuildArch: noarch

%description doc
A finite element analysis software based primarily on NumPy and SciPy.

This package contains documentation for SfePy.

%prep
%setup
ln -s types.h sfepy/fem/extmods/types_s.h
install -m644 %SOURCE1 .

%build
%python_build

pushd doc
doxygen doxygen.config
pushd doc/latex
%make
popd
popd

%install
%python_install

pushd %buildroot%_datadir/%name/doc
mv doc/html ./
rm -f Makefile.dist txt/Makefile.dist doxygen.config
rm -fR doc logo pages tex
popd
install -m644 doc/doc/latex/*.pdf %buildroot%_datadir/%name/doc
install -d %buildroot%_docdir/%name
mv %buildroot%_datadir/%name/doc/* %buildroot%_docdir/%name/
rmdir %buildroot%_datadir/%name/doc

%files
%doc LICENSE README RELEASE_NOTES.txt README.1st
%_bindir/*
# haven't packages for GUI:
# http://www.enthought.com/products/epd.php
%exclude %_bindir/sfepy_gui.py

%files -n python-module-%name
%python_sitelibdir/*

%files data
%_datadir/%name

%files doc
%_docdir/%name

%changelog
* Mon Sep 14 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 2009.3-alt1.git20090902
- Initial build for Sisyphus

